# Relay

- [Documentation](https://relaycache.com/docs)
- [Discussions](https://github.com/cachewerk/relay/discussions)

## Known Issues

- [Inconsistent invalidations order](https://github.com/redis/redis/issues/8206) in Redis v6.2.6 and older

## Release

### Nightly

The `develop` branch is automatically pushed to S3 as nightly/head for Homebrew.

### Tags

- Check out `develop`
- Update the [changelog](CHANGELOG.md)
- Merge `develop` into `main`
- On `main` update [`PHP_RELAY_VERSION`](php_relay.h)
- Wait for [test suite](https://github.com/cachewerk/relay-core/actions/workflows/build.yml) to pass
- Create a release targeting `main` on `cachewerk/relay-core`
- On `develop` bump [`PHP_RELAY_VERSION`](php_relay.h)

The release in `cachewerk/relay` will synchronized automatically.

Wait for the [assets to uploaded](https://github.com/cachewerk/relay-core/actions/workflows/upload-assets.yml), and then update the 3rd party repositories.

1. Merge the PR created in [`cachewerk/homebrew-tap`](https://github.com/cachewerk/homebrew-tap)
2. Dispatch a `Build packages` workflow in [`cachewerk/linux-repos`](https://github.com/cachewerk/linux-repos)
3. Bump Relay version in [`cachewerk/heroku-php-extensions`](https://github.com/cachewerk/heroku-php-extensions)
